Description

Implement module homs.

History

#1 - 11 Apr 2013 16:57 - John Abbott

To create a module hom from M1 to M2 we must specify where each generator of M1 maps to.  These could be specified as a list of ModuleElem or

as a matrix.

We must also check the self-consistency of the proposed map: I think it is enough to verify that each syzygy of the given gens of M1 maps to zero in

M2.

Actually applying the map seems to require representing the element to be mapped as a linear combination of the generators -- this could be

expensive, no?

Note that some homs may not be induced by a hom from a containing FreeModule.  Consider the submodule generated by (x,0) which maps this

generator into (1,0) -- in some sense the hom "divides by x".

#2 - 29 Oct 2013 15:19 - Anna Maria Bigatti

- Target version changed from CoCoALib-0.99534 Seoul14 to CoCoALib-0.99532

#3 - 02 Apr 2014 16:21 - Anna Maria Bigatti

- Target version changed from CoCoALib-0.99532 to CoCoALib-0.99533 Easter14

#4 - 08 Apr 2014 18:39 - John Abbott

- Target version changed from CoCoALib-0.99533 Easter14 to CoCoALib-0.99534 Seoul14

#5 - 31 Jul 2014 12:40 - John Abbott

- Target version changed from CoCoALib-0.99534 Seoul14 to CoCoALib-1.0
